Bug 117792 - Maximised windows for forms or reports in Base are reopened bigger than the actual window (Windows-only)
Summary: Maximised windows for forms or reports in Base are reopened bigger than the a...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.0.4.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: notBibisectable, regression
Depends on:
Blocks: Database-Forms Maximized-Window
  Show dependency treegraph
 
Reported: 2018-05-25 09:17 UTC by Vas
Modified: 2018-09-15 22:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vas 2018-05-25 09:17:19 UTC
Description:
If I maximise the window that contains a form, then close it, if I reopen the form again, the edges of the window are off the edge of the screen. I need to move the entire window via keyboard shortcuts to get it in a position that I can resize it again, or if I have two monitors, I can grab a corner of the window and resize it that way.

If the form is maximised on another monitor, it briefly opens, closes and then reopens on the primary screen in the same state as above.

If the window containing the form is not maximised when I close it, there is no problem with accessing the entire window. However, if it is closed from a secondary monitor it will briefly open, close and then reopen on the primary screen in the non-maximised state as it was closed.

Steps to Reproduce:
1. Create a form in Base
2. Maximise the window it is in (on either the primary on secondary monitor)
3. Close the window
4. Reopen the form

Actual Results:  
Always reopens on the primary screen regardless of where is was closed on. Window edges are off the screen making it difficult to resize if it was maximised beforehand. 

Expected Results:
The window reopens in the same state and screen (if available) it was closed on.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.183 Safari/537.36 Vivaldi/1.97.1183.3
Comment 1 Vas 2018-05-25 09:27:51 UTC
Forgot to add the following info.
Version: 6.0.4.2 (x64)
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU threads: 4; OS: Windows 6.1; UI render: default; 
Locale: en-GB (en_GB); Calc: group
Comment 2 Vas 2018-05-25 10:00:55 UTC
This is also applicable to Reports as well, not just Forms
Comment 3 Buovjaga 2018-06-19 17:49:20 UTC
I confirm it was bigger than the screen size.
Not yet seen in 5.4.2.2.
Tried to bibisect with Win 6.0 repo, but unfortunately got stuck in a skipping nightmare because there were commits where the program hung upon opening a form.

Not seen on Linux.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 2c85607101e2e04e870e3b87362f39f9a9148e6c
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-06-16_00:12:37
Locale: fi-FI (fi_FI); Calc: group threaded

Version: 6.0.4.2 (x64)
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: fi-FI (fi_FI); Calc: group

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: dc9ee533dc707cc10b99d537eaccc3ee5aa555fe
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 16th 2018